Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.datepicker.client
Class DefaultMonthSelector

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.google.gwt.user.datepicker.client.MonthSelector
                      com.google.gwt.user.datepicker.client.DefaultMonthSelector

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

    public final class DefaultMonthSelector

extends MonthSelector

A simple `MonthSelector` used for the default date picker. Not extensible as we wish to evolve it freely over time.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`DefaultMonthSelector()` Constructor.

Method Summary
`protected void` | `addMonths(int numMonths)`
`protected DatePicker` | `getDatePicker()`
`CalendarModel` | `getModel()`
`protected void` | `refresh()` Refresh the component.
`protected void` | `refreshAll()` Refreshes the `DatePicker`, `CalendarView`, and `CalendarModel`.
`protected void` | `setup()` Set up the component.

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultMonthSelector

    public DefaultMonthSelector()

  Constructor.

Method Detail

### refresh

    protected void refresh()

  Refresh the component. Usually called because the model's current date has changed. In general, only should be called by `DatePicker`. Use refreshAll() if you need to refresh all components.

### setup

    protected void setup()

  Set up the component.

### getModel

    public CalendarModel getModel()

### addMonths

    protected void addMonths(int numMonths)

### getDatePicker

    protected DatePicker getDatePicker()

### refreshAll

    protected void refreshAll()

  Refreshes the `DatePicker`, `CalendarView`, and `CalendarModel`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD